Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Class BindingProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.binding.BindingProxy

All Implemented Interfaces:
  BindingUpdatable

    public class BindingProxy
    extends GroovyObjectSupport

This class returns half bound FullBindings on the source half to the model object for every property reference (and I do mean every, valid or not, queried before or not). These returned half bindings are stored strongly in a list when gereated. Changing the model will keep all existing bindings but change the source on all of the bininfs Formerly Known as Model Binding.

Authors:
  Danno Ferrin

Version:
  \$Revision: 16999 \$

Since:
  Groovy 1.5

Constructor Summary
`BindingProxy(Object model)`

Method Summary
`void` | `bind()`
`Object` | `getModel()`
`Object` | `getProperty(String property)`
`void` | `rebind()`
`void` | `reverseUpdate()`
`void` | `setModel(Object model)`
`void` | `setProperty(String property, Object value)`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### BindingProxy

    public BindingProxy(Object model)

Method Detail

### bind

    public void bind()

### getModel

    public Object getModel()

### getProperty

    public Object getProperty(String property)

### rebind

    public void rebind()

### reverseUpdate

    public void reverseUpdate()

### setModel

    public void setModel(Object model)

### setProperty

    public void setProperty(String property, Object value)

### unbind

    public void unbind()

### update

    public void update()

Copyright © 2003-2010 The Codehaus. All rights reserved.